%global pypi_name orderly-set
%global pypi_version 5.2.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        A package containing multiple implementations of Ordered Set
License:        MIT
URL:            https://github.com/seperman/orderly-set
Source0:        https://files.pythonhosted.org/packages/source/o/%{pypi_name}/orderly_set-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(setuptools)

%description
Orderly Set is a package containing multiple implementations of
Ordered Set.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Orderly Set is a package containing multiple implementations
of Ordered Set.

%prep
%autosetup -n orderly_set-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/orderly_set
%{python3_sitelib}/orderly_set-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Sep 04 2024 Susi Lehtola <susi.lehtola@iki.fi> - 5.2.2-1
- Initial package.
